Bug 1411135 - [abrt] pitivi: undo.py:259:commit:pitivi.undo.undo.UndoWrongStateError: ('Unexpected commit', 'Change transaction', Adding assets: [<project.AssetAddedAction object at 0x7fef998ca750 (pitivi+undo+project+AssetAddedAction at 0x55cef8782620)>], [Change ...
Summary: [abrt] pitivi: undo.py:259:commit:pitivi.undo.undo.UndoWrongStateError: ('Une...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b8b8dff7795ea9c72eba47f07e3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 17:47 UTC by Emmanuel Pacaud
Modified: 2017-12-12 10:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:11:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.14 KB, text/plain)
2017-01-08 17:47 UTC, Emmanuel Pacaud
no flags Details
File: environ (1.84 KB, text/plain)
2017-01-08 17:47 UTC, Emmanuel Pacaud
no flags Details

Description Emmanuel Pacaud 2017-01-08 17:47:36 UTC
Description of problem:
This bug report was generated whil importing a video in the media library.

Version-Release number of selected component:
pitivi-0.98-5.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        python3 /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
undo.py:259:commit:pitivi.undo.undo.UndoWrongStateError: ('Unexpected commit', 'Change transaction', Adding assets: [<project.AssetAddedAction object at 0x7fef998ca750 (pitivi+undo+project+AssetAddedAction at 0x55cef8782620)>], [Change transaction: []])

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/pitivi/transitions.py", line 168, in do_set_focus_child
    action_log.commit("Change transaction")
  File "/usr/lib64/python3.5/site-packages/pitivi/undo/undo.py", line 259, in commit
    raise UndoWrongStateError("Unexpected commit", action_group_name, stack, self.stacks)
pitivi.undo.undo.UndoWrongStateError: ('Unexpected commit', 'Change transaction', Adding assets: [<project.AssetAddedAction object at 0x7fef998ca750 (pitivi+undo+project+AssetAddedAction at 0x55cef8782620)>], [Change transaction: []])

Local variables in innermost frame:
action_group_name: 'Change transaction'
stack: Adding assets: [<project.AssetAddedAction object at 0x7fef998ca750 (pitivi+undo+project+AssetAddedAction at 0x55cef8782620)>]
self: <undo.UndoableActionLog object at 0x7fef998ac6c0 (pitivi+undo+undo+UndoableActionLog at 0x55cef8771480)>

Comment 1 Emmanuel Pacaud 2017-01-08 17:47:46 UTC
Created attachment 1238410 [details]
File: backtrace

Comment 2 Emmanuel Pacaud 2017-01-08 17:47:59 UTC
Created attachment 1238411 [details]
File: environ

Comment 3 Fedora End Of Life 2017-11-16 15:15:39 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:11:09 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.